searchNodes=[{"doc":"IntervalMap is an interval-bucketizing map. Given a key, you can ask for the interval in which it falls, intervals do not have to be contiguous.Intervals are &quot;bounded, left open, right closed&quot;. That is, all intervals are finite, and &quot;left &lt; n &lt;= right&quot;. Intervals may not overlap.You can use any term types to specify interval bounds, just take care to make sure it's meaningful, see the &quot;Term ordering&quot; section of Elixir's Operators documentation.IntervalMap is implemented as a :gb_tree, where the &quot;right&quot; value is used as the storage key, this should give us O(log n) for get/put.","ref":"IntervalMap.html","title":"IntervalMap","type":"module"},{"doc":"Indicates if the given bounds fall within a single interval.","ref":"IntervalMap.html#bounds_member?/2","title":"IntervalMap.bounds_member?/2","type":"function"},{"doc":"Indicates if the given intervals form a continuous range (no gaps between any intervals)","ref":"IntervalMap.html#contiguous?/1","title":"IntervalMap.contiguous?/1","type":"function"},{"doc":"Removes the given bounds_or_interval from the map, removing or modifying any intervals necessary.O(n) at the moment, but could be made O(log(n)) for cases that only involve one or fewer intervals","ref":"IntervalMap.html#delete/2","title":"IntervalMap.delete/2","type":"function"},{"doc":"Gets the interval in which the provided key resides.","ref":"IntervalMap.html#get/2","title":"IntervalMap.get/2","type":"function"},{"doc":"Gets the value from the interval in which the provided key resides.","ref":"IntervalMap.html#get_value/2","title":"IntervalMap.get_value/2","type":"function"},{"doc":"Indicates if the given key falls into one of the map's intervals.","ref":"IntervalMap.html#key_member?/2","title":"IntervalMap.key_member?/2","type":"function"},{"doc":"Creates a new Interval Map","ref":"IntervalMap.html#new/0","title":"IntervalMap.new/0","type":"function"},{"doc":"Puts the given interval into the map, specified by the bounds left and `right``, and an optional value to store with the interval.","ref":"IntervalMap.html#put/3","title":"IntervalMap.put/3","type":"function"},{"doc":"Returns the range of the map, that is, the leftmost and rightmost members.Remember, intervals are &quot;left open, right closed&quot;.","ref":"IntervalMap.html#range/1","title":"IntervalMap.range/1","type":"function"},{"doc":"Returns an in-order list of intervals in the provided map.","ref":"IntervalMap.html#to_list/1","title":"IntervalMap.to_list/1","type":"function"},{"doc":"","ref":"IntervalMap.html#t:bound/0","title":"IntervalMap.bound/0","type":"type"},{"doc":"","ref":"IntervalMap.html#t:bounds/0","title":"IntervalMap.bounds/0","type":"type"},{"doc":"","ref":"IntervalMap.html#t:key/0","title":"IntervalMap.key/0","type":"type"},{"doc":"","ref":"IntervalMap.html#t:t/0","title":"IntervalMap.t/0","type":"type"},{"doc":"","ref":"IntervalMap.html#t:value/0","title":"IntervalMap.value/0","type":"type"},{"doc":"","ref":"IntervalMap.Interval.html","title":"IntervalMap.Interval","type":"module"},{"doc":"","ref":"IntervalMap.Interval.html#in_interval/3","title":"IntervalMap.Interval.in_interval/3","type":"macro"},{"doc":"","ref":"IntervalMap.Interval.html#t:bound/0","title":"IntervalMap.Interval.bound/0","type":"type"},{"doc":"","ref":"IntervalMap.Interval.html#t:t/0","title":"IntervalMap.Interval.t/0","type":"type"},{"doc":"","ref":"IntervalMap.InvalidIntervalError.html","title":"IntervalMap.InvalidIntervalError","type":"exception"},{"doc":"","ref":"IntervalMap.InvalidIntervalError.html#t:bound/0","title":"IntervalMap.InvalidIntervalError.bound/0","type":"type"},{"doc":"","ref":"IntervalMap.InvalidIntervalError.html#t:t/0","title":"IntervalMap.InvalidIntervalError.t/0","type":"type"},{"doc":"","ref":"IntervalMap.OverlappingIntervalsError.html","title":"IntervalMap.OverlappingIntervalsError","type":"exception"},{"doc":"","ref":"IntervalMap.OverlappingIntervalsError.html#t:t/0","title":"IntervalMap.OverlappingIntervalsError.t/0","type":"type"},{"doc":"IntervalMapWORK IN PROGRESSIntervalMap is an interval-bucketizing map. Given a key, you can ask for the interval in which it falls, intervals do not have to be contiguous.Intervals are &quot;bounded, left open, right closed&quot;. That is, all intervals are finite, and &quot;left &lt; n &lt;= right&quot;. Intervals may not overlap.You can use any term types to specify interval bounds, just take care to make sure it's meaningful, see the &quot;Term ordering&quot; section of Elixir's Operators documentation.IntervalMap is implemented as a :gb_tree, where the &quot;right&quot; value is used as the storage key, this should give us O(log n) for get/put.","ref":"readme.html","title":"IntervalMap","type":"extras"},{"doc":"map = IntervalMap.new() |&gt; IntervalMap.put({0, 100}, :a_bucket) |&gt; IntervalMap.put({200, 300}, :another_bucket) IntervalMap.get(map, 55) # =&gt; %IntervalMap.Interval{left: 0, right: 100, value: :a_bucket} IntervalMap.get(map, 250) # =&gt; %IntervalMap.Interval{left: 200, right: 300, value: :another_bucket}","ref":"readme.html#example","title":"IntervalMap - Example","type":"extras"},{"doc":"The package can be installed by adding interval_map to your list of dependencies in mix.exs:def deps do [ {:interval_map, &quot;~&gt; 0.1.0&quot;} ] endThe docs can be found at https://hexdocs.pm/interval_map.","ref":"readme.html#installation","title":"IntervalMap - Installation","type":"extras"}]